/**
 * <BR>You can read the source of this class <A HREF="./DBAKeyboard.java.html"> here</A>.
 */
public class DBAKeyboard extends PICDebugger {

	public DBAKeyboard() {
		super();

		DigitalComponentUI dui;
		PIC pic = deb.getPIC();

		dui = new DigitalComponentUI("Remoted TI");
		RemotedTI rti = new RemotedTI(dui);
		rti.connectPin(1, pic, 12, false);
		rti.connectPin(2, pic, 13, false);
		rti.connectPin(3, pic, 10, false);
		rti.connectPin(4, pic, 11, false);
		pic.addComponentToNotify(rti);

		dui = new DigitalComponentUI("Matricial Keyboard");
		MatricialKeyboard mk = new MatricialKeyboard(dui);
		mk.connectPin(1, pic, 6, false);
		mk.connectPin(2, pic, 7, false);
		mk.connectPin(3, pic, 8, false);
		mk.connectPin(4, pic, 17, false);
		mk.connectPin(5, pic, 18, false);
		mk.connectPin(6, pic, 1, false);
		mk.connectPin(7, pic, 2, false);
		mk.connectPin(8, pic, 3, true);

	}

	/**
	 * PICDebugger entry point.
	 */
	public static void main(String args[]) {
		new DBAKeyboard();
	}
}