/**
 * An interface between the modele GraphicalDebugger and the UI DebuggerFrame of PICDebugger.
 * <BR>You can read the source of this class <A HREF="./Link.java.html"> here</A>.
 */
public abstract class Link {

	/**
	 * Sets the UI.
	 * @param _UI A reference to the instanciated UI.
	 */
	public static void setUI(DebuggerFrame _UI) {
		UI = _UI;
	}

	/**
	 * Sets the modele.
	 * @param _Modele A reference to the instanciated modele.
	 */
	public static void setModele(GraphicalDebugger _Modele) {
		Modele = _Modele;
	}

	/**
	 * Returns the UI.
	 * @return A reference to the instantiated UI.
	 */
	public static DebuggerFrame ui() {
		return UI;
	}

	/**
	 * Returns the modele.
	 * @return A reference to the instantiated modele.
	 */
	public static GraphicalDebugger modele() {
		return Modele;
	}

	protected static GraphicalDebugger Modele;
	protected static DebuggerFrame UI;
}