/**
 * This interface's purpose is to give a name to opcode types rather than using literal values.
 * <BR>You can read the source of this class <A HREF="./OpcodeType.java.html"> here</A>.
 */
public interface OpcodeType {
	/** Opcode that includes both a File Register address and a destination field. */
	public final int FileAndDest = 1;

	/** Opcode that includes only a File Register address. */
	public final int File = 2;

	/** Opcode that includes both a File Register address and a 3 bits constant. */
	public final int FileAnd3BitsConst = 3;

	/** Opcode that includes a 8 bits literal value. */
	public final int Literal8Bits = 4;

	/** Opcode that includes a 11 bits literal value (which is an offset in Flash). */
	public final int Literal11Bits = 5;

	/** Opcode without any operande. */
	public final int NoOperande = 6;
}