/**
 * This class has the entry point of the standard version of PICDebugger, with GraphicalDebugger as its modele and DebuggerFrame as its UI.
 * It also extends javax.swing.JApplet so that it's executable with appletviewer.
 * <BR>You can read the source of this class <A HREF="./PICDebugger.java.html"> here</A>.
 */
public class PICDebugger extends javax.swing.JApplet {

	public PICDebugger() {
		DebuggerFrame debf = new DebuggerFrame();
		Link.setUI(debf);
		DigitalComponentUI dui = new DigitalComponentUI("PIC");
		deb = new GraphicalDebugger(dui);
		Link.setModele(deb);

		deb.LoadProgram(new CompiledProgram("sample.cod"));
		debf.show();
	}

	/**
	 * PICDebugger entry point.
	 */
	public static void main(String args[]) {
		new PICDebugger();
	}

	protected GraphicalDebugger deb;
}