/**
 * This interface describes the services an instance of a Pin should offer.
 * <BR>You can read the source of this interface <A HREF="./Pin.java.html"> here</A>.
 */
public interface Pin {

	/**
	 * Sets the state of the pin.
	 */
	public void setState(boolean state);

	/**
	 * Sets the state of the pin without notifying the other component.
	 */
	public void setStateDontNotify(boolean state);

	/**
	 * Returns the state of the pin.
	 */
	public boolean getState();
}